xmltooling::Mutex Class Referenceabstract

A class for managing exclusive access to resources. More...

`#include <xmltooling/util/Threads.h>`

## Public Member Functions

virtual int | lock ()=0
| Locks the mutex for exclusive access.
virtual int | unlock ()=0
| Unlocks the mutex for exclusive access.

## Static Public Member Functions

static Mutex * | create ()
| Creates a new mutex object.

## Detailed Description

A class for managing exclusive access to resources.

## Member Function Documentation

## create()

static Mutex * xmltooling::Mutex::create | ( |  | ) |

static

Creates a new mutex object.

Returns
  the new mutex

## lock()

virtual int xmltooling::Mutex::lock | ( |  | ) |

pure virtual

Locks the mutex for exclusive access.

Returns
  0 for success, non-zero for failure

## unlock()

virtual int xmltooling::Mutex::unlock | ( |  | ) |

pure virtual

Unlocks the mutex for exclusive access.

Returns
  0 for success, non-zero for failure

The documentation for this class was generated from the following file:

- xmltooling/util/Threads.h